Subject: (urth) Father Inire/Palaemon

From: Lee Berman <severiansola at hotmail.com>
Date: Sat, 22 Oct 2011 15:01:35 +0000

>larry miller: Did anybody on here ever consider a connection between Inire 

>and Paleamon?

>Ryan Miller: I was under the impression Palaemon was potentially 

>Ossipago. Some have made a case for: Inire is Shaman is Ossipago is Boatman 

>is Fechin is Hethor is...

In Solar Labyrinth, Borski makes the case for Inire as Ossipago and Palaemon.

I have seen the Boatman, Fechin and Hethor connections and find these two to 

be less certain candidates but still very much worth considering.

In regard to Palaemon, there is the rather compelling evidence of Terminus Est,

which was fashioned by Jovinian. The Latin connection to the name Inire seems

worthy of some thought by itself. The Roman mythological reference to Jove only

adds greater depth to the connection of the subtext which includes The Cumaean,

Rhea Silvia, Fauna, and others (of course including Faunus/Inuus/Inire).